local Boat = ...

--------------------------------------------------------------------------
local HARBOUR_COMP_OAR = {
	TypeName = HarbourPrefix .. "_COMP_OAR",
	ParentType = "COMPONENT",
	Properties = {
                { Name = "speedRotation", Type = "float", Default = math.pi/2 },
                { Name = "rowing", Type = "boolean", Default = false },
		}
}

--------------------------------------------------------------------------
function HARBOUR_COMP_OAR:create()
end

--------------------------------------------------------------------------
function HARBOUR_COMP_OAR:init()
    self:getOwner():setRotationZ(0)
end

--------------------------------------------------------------------------
function HARBOUR_COMP_OAR:update()
    if not self.rowing then
        self:getOwner():setRotationZ(0)
        return
    end

    local dt = self:getLevel():getDeltaTime()
    self:getOwner():rotateZ(dt*self.speedRotation)
 end

--------------------------------------------------------------------------
Boat:registerClass(HARBOUR_COMP_OAR)
